OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class AIpaddrIpIdent

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PIpIdent
              org.opennms.netmgt.filter.node.AIpaddrIpIdent

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class AIpaddrIpIdent
extends PIpIdent

Field Summary
`private TDot` `_dot1_`
`private TDot` `_dot2_`
`private TDot` `_dot3_`
`private POctet` `_oct1_`
`private POctet` `_oct2_`
`private POctet` `_oct3_`
`private POctet` `_oct4_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`AIpaddrIpIdent()`
`AIpaddrIpIdent(POctet _oct1_, TDot _dot1_, POctet _oct2_, TDot _dot2_, POctet _oct3_, TDot _dot3_, POctet _oct4_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`TDot` `getDot1()`
`TDot` `getDot2()`
`TDot` `getDot3()`
`POctet` `getOct1()`
`POctet` `getOct2()`
`POctet` `getOct3()`
`POctet` `getOct4()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setDot1(TDot node)`
`void` `setDot2(TDot node)`
`void` `setDot3(TDot node)`
`void` `setOct1(POctet node)`
`void` `setOct2(POctet node)`
`void` `setOct3(POctet node)`
`void` `setOct4(POctet node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _oct1_

    private POctet _oct1_

### _dot1_

    private TDot _dot1_

### _oct2_

    private POctet _oct2_

### _dot2_

    private TDot _dot2_

### _oct3_

    private POctet _oct3_

### _dot3_

    private TDot _dot3_

### _oct4_

    private POctet _oct4_

Constructor Detail

### AIpaddrIpIdent

    public AIpaddrIpIdent()

### AIpaddrIpIdent

    public AIpaddrIpIdent(POctet _oct1_,
                          TDot _dot1_,
                          POctet _oct2_,
                          TDot _dot2_,
                          POctet _oct3_,
                          TDot _dot3_,
                          POctet _oct4_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getOct1

    public POctet getOct1()

### setOct1

    public void setOct1(POctet node)

### getDot1

    public TDot getDot1()

### setDot1

    public void setDot1(TDot node)

### getOct2

    public POctet getOct2()

### setOct2

    public void setOct2(POctet node)

### getDot2

    public TDot getDot2()

### setDot2

    public void setDot2(TDot node)

### getOct3

    public POctet getOct3()

### setOct3

    public void setOct3(POctet node)

### getDot3

    public TDot getDot3()

### setDot3

    public void setDot3(TDot node)

### getOct4

    public POctet getOct4()

### setOct4

    public void setOct4(POctet node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.